#
#      _____                      _      _    _       _       
#     |  __ \                    | /    | |  | |     | |      
#     | |__) |_ _ _ __ __ ___  __|/___  | |__| | __ _| |_ ___ 
#     |  ___/ _` | '__/ _` \ \/ / / __| |  __  |/ _` | __/ __|
#     | |  | (_| | | | (_| |>  <  \__ \ | |  | | (_| | |_\__ \
#     |_|   \__,_|_|  \__,_/_/\_\ |___/ |_|  |_|\__,_|\__|___/
#

#######################################################
##                                                   ##
##             HOW TO ADD YOUR OWN HATS:             ##
##                                                   ##
##    1. Add the item model in a resource pack.      ##
##       The namespace doesn't matter here.          ##
##                                                   ##
##    2. Copy one of the lines below, but change     ##
##       the "model" parameter to whatever model     ##
##       you added, and change "name" to whatever    ##
##       you want it to show as in the menu.         ##
##                                                   ##
##    3. You can put the command in this function,   ##
##       or in another function and add that         ##
##       function to #paraxs_hats:hat_registries     ##
##                                                   ##
#######################################################

# All my default hats (feel free to remove if you dont like them, it wont cause any issues)

	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:top_hat","name":"Top Hat"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:fish_bowl","name":"Fish Bowl"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:glasses","name":"Glasses"}
	function paraxs_hats:internal/register_hat_group {"name":"Flower","hats":'[{"model":"paraxs_hats:dandelion", "name":"Dandelion"}, {"model":"paraxs_hats:poppy", "name":"Poppy"}, {"model":"paraxs_hats:cornflower", "name":"Cornflower"}, {"model":"paraxs_hats:allium", "name":"Allium"}, {"model":"paraxs_hats:azure_bluet", "name":"Azure Bluet"}, {"model":"paraxs_hats:blue_orchid", "name":"Blue Orchid"}, {"model":"paraxs_hats:wither_rose", "name":"Wither Rose"}]'}
	function paraxs_hats:internal/register_hat_group {"name":"Mushroom","hats":'[{"model":"paraxs_hats:red_mushroom", "name":"Red Mushroom"}, {"model":"paraxs_hats:brown_mushroom", "name":"Brown Mushroom"}, {"model":"paraxs_hats:crimson_fungus", "name":"Crimson Fungus"}, {"model":"paraxs_hats:warped_fungus", "name":"Warped Fungus"}]'}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:propeller_hat","name":"Propeller Hat"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:straw_hat","name":"Straw Hat"}
	function paraxs_hats:internal/register_hat_group {"name":"Headphones","hats":'[{"model":"paraxs_hats:headphones_gray", "name":"Gray"}, {"model":"paraxs_hats:headphones_red", "name":"Red"}, {"model":"paraxs_hats:headphones_blue", "name":"Blue"}, {"model":"paraxs_hats:headphones_pink", "name":"Pink"}]'}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:3d_glasses","name":"3D Glasses"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:warden_antlers","name":"Warden's Antlers"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:sunglasses","name":"Sunglasses"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:miku_hair","name":"Miku's Twintails"}
	function paraxs_hats:internal/register_hat_group {"name":"Plumbing Cap","hats":'[{"model":"paraxs_hats:plumbing_cap_red", "name":"Red"}, {"model":"paraxs_hats:plumbing_cap_green", "name":"Green"}, {"model":"paraxs_hats:plumbing_cap_yellow", "name":"Yellow"}, {"model":"paraxs_hats:plumbing_cap_purple", "name":"Purple"}]'}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:pop_out_eyes","name":"Popout Eyes"}
	function paraxs_hats:internal/register_hat_group {"name":"Screen","hats":'[{"model":"paraxs_hats:screen_field", "name":"Field Scene"}, {"model":"paraxs_hats:screen_smile", "name":"Smile"}, {"model":"paraxs_hats:screen_frown", "name":"Frown"}, {"model":"paraxs_hats:screen_color_test", "name":"Color Test"}, {"model":"paraxs_hats:screen_error", "name":"Error"}, {"model":"paraxs_hats:screen_bsod", "name":"Bluescreen"}, {"model":"paraxs_hats:screen_static", "name":"Static"}, {"model":"paraxs_hats:screen_off", "name":"Off"}]'}
	function paraxs_hats:internal/register_hat_group {"name":"Screen (Pride)","hats":'[{"model":"paraxs_hats:screen_rainbow", "name":"Rainbow"}, {"model":"paraxs_hats:screen_lesbian", "name":"Lesbian"}, {"model":"paraxs_hats:screen_gay", "name":"Gay"}, {"model":"paraxs_hats:screen_bi", "name":"Bi"}, {"model":"paraxs_hats:screen_pan", "name":"Pan"}, {"model":"paraxs_hats:screen_trans", "name":"Trans"}, {"model":"paraxs_hats:screen_non_binary", "name":"Enby"}]'}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:moss_biome","name":"Moss Biome"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:snow_biome","name":"Snow Biome"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:warped_forest_biome","name":"Warped Biome"}
	function paraxs_hats:internal/register_hat_group {"name":"Cat Ears","hats":'[{"model":"paraxs_hats:cat_ears", "name":"Cat Ears"}, {"model":"paraxs_hats:cat_ears_and_bone", "name":"Cat Ears + Bone"}]'}
	function paraxs_hats:internal/register_hat_group {"name":"Dog Ears","hats":'[{"model":"paraxs_hats:dog_ears", "name":"Dog Ears"}, {"model":"paraxs_hats:dog_ears_and_bone", "name":"Dog Ears + Bone"}]'}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:bunny_ears","name":"Bunny Ears"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:demon_horns","name":"Demon Horns"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:arrow","name":"Arrow"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:halo","name":"Halo"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:shulker_shell","name":"Shulker Shell"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:googly_eyes","name":"Googly Eyes"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:deer_antlers","name":"Deer Antlers"}
	function paraxs_hats:internal/register_hat {"model":"paraxs_hats:frankenstein","name":"Frankenstein Screws"}
	function paraxs_hats:internal/register_hat_group {"name":"Iterator Antennae","hats":'[{"model":"paraxs_hats:antennae_5_pebbles", "name":"5 Pebbles"}, {"model":"paraxs_hats:antennae_moon", "name":"Looks to the Moon"}]'}
	function paraxs_hats:internal/register_hat_group {"name":"Fire","hats":'[{"model":"paraxs_hats:fire", "name":"Fire"}, {"model":"paraxs_hats:soul_fire", "name":"Soul Fire"}, {"model":"paraxs_hats:copper_fire", "name":"Green Fire"}]'}
	function paraxs_hats:internal/register_hat_group {"name":"Sword","hats":'[{"model":"paraxs_hats:wooden_sword", "name":"Wooden Sword"},{"model":"paraxs_hats:stone_sword", "name":"Stone Sword"},{"model":"paraxs_hats:iron_sword", "name":"Iron Sword"},{"model":"paraxs_hats:golden_sword", "name":"Gold Sword"},{"model":"paraxs_hats:diamond_sword", "name":"Diamond Sword"},{"model":"paraxs_hats:netherite_sword", "name":"Netherite Sword"}]'}
	function paraxs_hats:internal/register_hat {"model":"minecraft:bone","name":"Bone"}
	function paraxs_hats:internal/register_hat {"model":"minecraft:end_rod","name":"Unicorn Horn"}
	function paraxs_hats:internal/register_hat {"model":"minecraft:glass","name":"Glass Bowl"}
